//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.qy.worksheetsystem.util;

import org.apache.axis.description.ElementDesc;
import org.apache.axis.description.TypeDesc;
import org.apache.axis.encoding.Deserializer;
import org.apache.axis.encoding.Serializer;
import org.apache.axis.encoding.ser.BeanDeserializer;
import org.apache.axis.encoding.ser.BeanSerializer;

import javax.xml.namespace.QName;
import java.io.Serializable;

public class WSContext implements Serializable {
    private int dbType;
    private String dcName;
    private String password;
    private String sessionId;
    private String slnName;
    private String userName;
    private Object __equalsCalc = null;
    private boolean __hashCodeCalc = false;
    private static TypeDesc typeDesc = new TypeDesc(WSContext.class, true);

    public WSContext() {
    }

    public WSContext(int dbType, String dcName, String password, String sessionId, String slnName, String userName) {
        this.dbType = dbType;
        this.dcName = dcName;
        this.password = password;
        this.sessionId = sessionId;
        this.slnName = slnName;
        this.userName = userName;
    }

    public int getDbType() {
        return this.dbType;
    }

    public void setDbType(int dbType) {
        this.dbType = dbType;
    }

    public String getDcName() {
        return this.dcName;
    }

    public void setDcName(String dcName) {
        this.dcName = dcName;
    }

    public String getPassword() {
        return this.password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSessionId() {
        return this.sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getSlnName() {
        return this.slnName;
    }

    public void setSlnName(String slnName) {
        this.slnName = slnName;
    }

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public synchronized boolean equals(Object obj) {
        if (!(obj instanceof WSContext)) {
            return false;
        } else {
            WSContext other = (WSContext)obj;
            if (obj == null) {
                return false;
            } else if (this == obj) {
                return true;
            } else if (this.__equalsCalc != null) {
                return this.__equalsCalc == obj;
            } else {
                this.__equalsCalc = obj;
                boolean _equals = this.dbType == other.getDbType() && (this.dcName == null && other.getDcName() == null || this.dcName != null && this.dcName.equals(other.getDcName())) && (this.password == null && other.getPassword() == null || this.password != null && this.password.equals(other.getPassword())) && (this.sessionId == null && other.getSessionId() == null || this.sessionId != null && this.sessionId.equals(other.getSessionId())) && (this.slnName == null && other.getSlnName() == null || this.slnName != null && this.slnName.equals(other.getSlnName())) && (this.userName == null && other.getUserName() == null || this.userName != null && this.userName.equals(other.getUserName()));
                this.__equalsCalc = null;
                return _equals;
            }
        }
    }

    public synchronized int hashCode() {
        if (this.__hashCodeCalc) {
            return 0;
        } else {
            this.__hashCodeCalc = true;
            int _hashCode = 1;
             _hashCode = _hashCode + this.getDbType();
            if (this.getDcName() != null) {
                _hashCode += this.getDcName().hashCode();
            }

            if (this.getPassword() != null) {
                _hashCode += this.getPassword().hashCode();
            }

            if (this.getSessionId() != null) {
                _hashCode += this.getSessionId().hashCode();
            }

            if (this.getSlnName() != null) {
                _hashCode += this.getSlnName().hashCode();
            }

            if (this.getUserName() != null) {
                _hashCode += this.getUserName().hashCode();
            }

            this.__hashCodeCalc = false;
            return _hashCode;
        }
    }

    public static TypeDesc getTypeDesc() {
        return typeDesc;
    }

    public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType) {
        return new BeanSerializer(_javaType, _xmlType, typeDesc);
    }

    public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType) {
        return new BeanDeserializer(_javaType, _xmlType, typeDesc);
    }

    static {
        typeDesc.setXmlType(new QName("urn:client", "WSContext"));
        ElementDesc elemField = new ElementDesc();
        elemField.setFieldName("dbType");
        elemField.setXmlName(new QName("", "dbType"));
        elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "int"));
        elemField.setNillable(false);
        typeDesc.addFieldDesc(elemField);
        elemField = new ElementDesc();
        elemField.setFieldName("dcName");
        elemField.setXmlName(new QName("", "dcName"));
        elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
        elemField.setNillable(true);
        typeDesc.addFieldDesc(elemField);
        elemField = new ElementDesc();
        elemField.setFieldName("password");
        elemField.setXmlName(new QName("", "password"));
        elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
        elemField.setNillable(true);
        typeDesc.addFieldDesc(elemField);
        elemField = new ElementDesc();
        elemField.setFieldName("sessionId");
        elemField.setXmlName(new QName("", "sessionId"));
        elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
        elemField.setNillable(true);
        typeDesc.addFieldDesc(elemField);
        elemField = new ElementDesc();
        elemField.setFieldName("slnName");
        elemField.setXmlName(new QName("", "slnName"));
        elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
        elemField.setNillable(true);
        typeDesc.addFieldDesc(elemField);
        elemField = new ElementDesc();
        elemField.setFieldName("userName");
        elemField.setXmlName(new QName("", "userName"));
        elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
        elemField.setNillable(true);
        typeDesc.addFieldDesc(elemField);
    }
}
